> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bey.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Agents

> List agents.



## OpenAPI

````yaml /openapi.json get /v1/agents
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /v1/agents:
    get:
      tags:
        - Agents
      summary: List Agents
      description: List agents.
      operationId: list_agents_v1_agents_get
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 50
            exclusiveMinimum: 0
            description: Maximum number of objects to return.
            default: 10
            title: Limit
          description: Maximum number of objects to return.
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Cursor for pagination.
            title: Cursor
          description: Cursor for pagination.
      responses:
        '200':
          description: Paginated List of Agents
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/HasMorePage_AgentResponse_'
                  - $ref: '#/components/schemas/NoMorePage_AgentResponse_'
                title: Response List Agents V1 Agents Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    HasMorePage_AgentResponse_:
      properties:
        data:
          items:
            $ref: '#/components/schemas/AgentResponse'
          type: array
          title: Data
          description: List of objects.
        has_more:
          type: boolean
          const: true
          title: Has More
          description: Whether there are more objects to fetch.
          default: true
        next_cursor:
          type: string
          title: Next Cursor
          description: The cursor for the next page of objects.
      type: object
      required:
        - data
        - next_cursor
      title: HasMorePage[AgentResponse]
    NoMorePage_AgentResponse_:
      properties:
        data:
          items:
            $ref: '#/components/schemas/AgentResponse'
          type: array
          title: Data
          description: List of objects.
        has_more:
          type: boolean
          const: false
          title: Has More
          description: Whether there are more objects to fetch.
          default: false
      type: object
      required:
        - data
      title: NoMorePage[AgentResponse]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AgentResponse:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier of the object in the database.
          examples:
            - 01234567-89ab-cdef-0123-456789abcdef
        name:
          type: string
          maxLength: 100
          minLength: 1
          title: Name
          description: Display name to use. Also used when addressed in conversations.
          examples:
            - Jarvis
            - HAL 9000
        avatar_id:
          type: string
          maxLength: 100
          minLength: 1
          title: Avatar Id
          description: ID of avatar to use.
          examples:
            - 01234567-89ab-cdef-0123-456789abcdef
        system_prompt:
          type: string
          maxLength: 10000
          minLength: 1
          title: System Prompt
          description: System prompt to use.
          examples:
            - You are a helpful assistant.
        language:
          anyOf:
            - $ref: '#/components/schemas/AgentLanguage'
            - type: 'null'
          description: Language to use.
          examples:
            - en
            - en-US
            - de
        greeting:
          anyOf:
            - type: string
              maxLength: 1000
              minLength: 1
            - type: 'null'
          title: Greeting
          description: What to say when a call starts.
          examples:
            - Hello!
        max_session_length_minutes:
          anyOf:
            - type: integer
              maximum: 90
              exclusiveMinimum: 0
            - type: 'null'
          title: Max Session Length Minutes
          description: Maximum session length in minutes.
          examples:
            - 30
        capabilities:
          $ref: '#/components/schemas/AgentCapabilityList'
          description: Extra capabilities to manage calls.
          examples:
            - - type: webcam_vision
              - type: wakeup_mode
                triggers:
                  - hey agent
                  - hi pal
        llm:
          anyOf:
            - $ref: '#/components/schemas/AgentLlm'
            - type: 'null'
          description: Configuration for LLM to use.
          examples:
            - type: openai
            - type: openai_compatible
              api_id: 01234567-89ab-cdef-0123-456789abcdef
              model: gpt-4o-mini
              temperature: 0.7
      type: object
      required:
        - id
        - name
        - avatar_id
        - system_prompt
      title: AgentResponse
      description: Response model for an agent.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    AgentLanguage:
      type: string
      enum:
        - ar
        - bn
        - bg
        - zh
        - cs
        - da
        - nl
        - en
        - en-AU
        - en-GB
        - en-US
        - fi
        - fr
        - fr-CA
        - fr-FR
        - de
        - el
        - hi
        - hu
        - id
        - it
        - ja
        - kk
        - ko
        - ms
        - 'no'
        - pl
        - pt
        - pt-BR
        - pt-PT
        - ro
        - ru
        - sk
        - es
        - sv
        - tr
        - uk
        - ur
        - vi
      title: AgentLanguage
      description: Language of an agent.
    AgentCapabilityList:
      items:
        $ref: '#/components/schemas/AgentCapability'
      type: array
    AgentLlm:
      oneOf:
        - $ref: '#/components/schemas/OpenaiAgentLlm'
        - $ref: '#/components/schemas/OpenaiCompatibleAgentLlm'
      discriminator:
        propertyName: type
        mapping:
          openai:
            $ref: '#/components/schemas/OpenaiAgentLlm'
          openai_compatible:
            $ref: '#/components/schemas/OpenaiCompatibleAgentLlm'
    AgentCapability:
      oneOf:
        - $ref: '#/components/schemas/WebcamVisionAgentCapability'
        - $ref: '#/components/schemas/WakeupModeAgentCapability'
      discriminator:
        propertyName: type
        mapping:
          wakeup_mode:
            $ref: '#/components/schemas/WakeupModeAgentCapability'
          webcam_vision:
            $ref: '#/components/schemas/WebcamVisionAgentCapability'
    OpenaiAgentLlm:
      properties:
        type:
          type: string
          const: openai
          title: Type
          default: openai
      type: object
      title: OpenaiAgentLlm
      description: Configuration for OpenAI LLM.
    OpenaiCompatibleAgentLlm:
      properties:
        type:
          type: string
          const: openai_compatible
          title: Type
          default: openai_compatible
        api_id:
          type: string
          title: Api Id
        model:
          type: string
          title: Model
        temperature:
          type: number
          title: Temperature
        headers:
          additionalProperties:
            type: string
          type: object
          title: Headers
      type: object
      required:
        - api_id
        - model
        - temperature
      title: OpenaiCompatibleAgentLlm
      description: >-
        Configuration for an LLM provided by an OpenAI-compatible API.


        The notion of "OpenAI-compatible API" is somewhat fuzzy, there is no

        agreed upon standard for what it means.

        In practice, we care if the API is compatible with how LiveKit's openai

        plugin interacts with it, i.e. a subset of OpenAI's API specification
        that

        provides chat completions:

        https://platform.openai.com/docs/api-reference/completions
    WebcamVisionAgentCapability:
      properties:
        type:
          type: string
          const: webcam_vision
          title: Type
          default: webcam_vision
      type: object
      title: WebcamVisionAgentCapability
      description: Agent capability to see user camera feed.
    WakeupModeAgentCapability:
      properties:
        type:
          type: string
          const: wakeup_mode
          title: Type
          default: wakeup_mode
        triggers:
          items:
            type: string
          type: array
          title: Triggers
      type: object
      required:
        - triggers
      title: WakeupModeAgentCapability
      description: Agent capability to wake up only on specific keywords.
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      description: Your Beyond Presence API Key.
      in: header
      name: x-api-key

````